{% extends "prescriptions/base.html" %}
{% load crispy_forms_tags i18n breadcrumbs %}

{% block title %}{% translate 'Medication requests' %}{% endblock %}
{% block page_title %}{% translate 'Medication requests' %}{% endblock %}

{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb "Prescription requests" "prescriptionrequest:list" %}
{% endblock %}

{% block content %}
  <div id="prescriptionrequest-list"
       hx-get="{% url 'prescriptionrequest:list' %}"
       hx-trigger="medux:prescriptionrequest:added from:body, medux:prescriptionrequest:deleted from:body"
       hx-disinherit="*"
       hx-select="#prescriptionrequest-list"
       hx-target="this"
  >
    <div class="row">
      <div class="col-12">
        {% if not object_list %}
          <div class="alert alert-info">
            {% translate 'No pending requests' %}
          </div>
        {% else %}
          {% if request.user.tenant %}

            <div class="card">
              <div class="table-responsive">
                <table class="table card-table table-vcenter text-nowrap datatable">
                  <thead>
                  <tr>
                    <th class="d-none d-md-table-cell"></th>
                    <th class="w-1 d-none d-md-table-cell">{% translate 'Received' %}</th>
                    <th>{% translate 'Name' %}</th>
                    <th>{% translate 'Medication request' %}</th>
                    <th class="d-none d-md-table-cell">{% translate 'Internal Comment' %}</th>
                    <th>{% translate 'Actions' %}</th>
                  </tr>
                  </thead>
                  <tbody hx-ext="ws" ws-connect="/ws/notifications">
                  {% for object in object_list %}
                    {% include 'prescriptions/prescription_request_item.html' with object=object %}
                  {% endfor %}
                  </tbody>
                </table>
              </div>

              <div class="card-footer d-flex align-items-center">
                <p class="m-0 text-muted">{% blocktranslate with current=page_obj.number num_pages=page_obj.paginator.num_pages %}Page <span>{{ current }}</span> of <span>{{ num_pages }}</span>{% endblocktranslate %}</p>
                <ul class="pagination m-0 ms-auto">
                  <li class="page-item">
                    {#              <a class="page-link" href="?page=1" tabindex="-1" aria-disabled="true">#}
                    {#                <i class="bi bi-chevron-double-left"></i> {% translate 'first' %}#}
                    {#              </a>#}
                    <a
                        class="page-link{% if not page_obj.has_previous %} disabled{% endif %}"
                        href="{% if page_obj.has_previous %}?page={{ page_obj.previous_page_number }}{% else %}#{% endif %}" tabindex="-1" aria-disabled="true">
                      <i class="bi bi-chevron-left"></i> {% translate 'prev' %}
                    </a>
                  </li>
                  {% for num_page in paginator.get_elided_page_range %}
                    <li class="page-item{% if page_obj.number == num_page %} active{% endif %}"><a class="page-link" href="?page={{ num_page }}">{{ num_page }}</a></li>
                  {% endfor %}

                  <li class="page-item{% if not page_obj.has_next %} disabled{% endif %}">
                    <a class="page-link"
                       href="{% if page_obj.has_next %}?page={{ page_obj.next_page_number }}{% else %}#{% endif %}">
                      {% translate 'next' %} <i class="bi bi-chevron-right"></i>
                    </a>
                    {#              <a class="page-link" href="?page={{ page_obj.paginator.num_pages }}">#}
                    {#                {% translate 'last' %} <i class="bi bi-chevron-double-right"></i>#}
                    {#              </a>#}
                  </li>
                </ul>
              </div>
            </div>

          {% else %} {# user.tenant is None: Admin! #}
            <div class="alert alert-warning">
              {% blocktranslate trimmed with user=request.user %}
                Your current user ({{ user }}) is not attached to a tenant.
                Therefore, you cannot access your tenant's prescription requests.
                Please log in as a user that is attached to a tenant.
              {% endblocktranslate %}
            </div>
          {% endif %}
        {% endif %}
      </div>
    </div>
  </div>
{% endblock %}